## org.apache.fop.fo
Class FObj.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.FObj.Maker

Direct Known Subclasses:
  A.Maker, AltGlyph.Maker, Animate.Maker, AnimateColor.Maker, AnimateMotion.Maker, AnimateTransform.Maker, BasicLink.Maker, Block.Maker, BlockContainer.Maker, Character.Maker, Circle.Maker, ClipPath.Maker, ConditionalPageMasterReference.Maker, Cursor.Maker, Defs.Maker, Desc.Maker, DisplaySequence.Maker, Ellipse.Maker, ExternalGraphic.Maker, Filter.Maker, Flow.Maker, FObjMixed.Maker, Font.Maker, Footnote.Maker, FootnoteBody.Maker, G.Maker, Glyph.Maker, HKern.Maker, Image.Maker, Inline.Maker, InlineGraphic.Maker, InstreamForeignObject.Maker, Label.Maker, LayoutMasterSet.Maker, Leader.Maker, Line.Maker, LinearGradient.Maker, ListBlock.Maker, ListItem.Maker, ListItemBody.Maker, ListItemLabel.Maker, Marker.Maker, Mask.Maker, MissingGlyph.Maker, Outline.Maker, PageNumber.Maker, PageNumberCitation.Maker, PageSequence.Maker, PageSequenceMaster.Maker, Path.Maker, Pattern.Maker, Polygon.Maker, Polyline.Maker, RadialGradient.Maker, Rect.Maker, RegionAfter.Maker, RegionBefore.Maker, RegionBody.Maker, RepeatablePageMasterAlternatives.Maker, RepeatablePageMasterReference.Maker, Root.Maker, Set.Maker, SimplePageMaster.Maker, SinglePageMasterReference.Maker, StaticContent.Maker, Stop.Maker, Style.Maker, SVG.Maker, Switch.Maker, Symbol.Maker, Table.Maker, TableBody.Maker, TableCell.Maker, TableColumn.Maker, TableFooter.Maker, TableHeader.Maker, TableRow.Maker, Text.Maker, TextPath.Maker, Title.Maker, TRef.Maker, TSpan.Maker, Use.Maker, VKern.Maker, Wrapper.Maker

Enclosing class:
  FObj

public static class FObj.Maker
extends java.lang.Object

Constructor Summary
`FObj.Maker()`

Method Summary
`FObj` `make(FObj parent, PropertyList propertyList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FObj.Maker

    public FObj.Maker()

Method Detail

### make

    public FObj make(FObj parent,
                     PropertyList propertyList)
              throws FOPException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.